# $Revision: 1.5 $, $Date: 2011/07/28 08:56:49 $
Summary:	Run a program as another user
Name:		dropto
Version:	0.3.2
Release:	1
License:	GPL v3
Group:		Base/Utilities
Source0:	http://users.ox.ac.uk/~tom/source/dropto/%{name}-%{version}.tar.gz
# Source0-md5:	f1a6e3b7e94f16336cf66d385dbe2d96
URL:		http://users.ox.ac.uk/~tom/dropto/dropto.8
BuildRequires:	asciidoc
BuildRequires:	xmlto
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# don't clobber user path with progs that need root
%define		_bindir		%{_sbindir}

%description
Privilege-dropping exec()er in the spirit of setuidgid, but with
supplementary group membership.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README THANKS
%attr(755,root,root) %{_sbindir}/dropto
%{_mandir}/man8/dropto.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dropto.spec,v $
Revision 1.5  2011/07/28 08:56:49  glen
- up to 0.3.2 (newlines to error messages)

Revision 1.4  2011/07/25 11:37:45  glen
- use sbindir in %files

Revision 1.3  2011/07/25 11:36:50  glen
- move program to sbin: don't clobber user path with progs that need root; rel 2

Revision 1.2  2011/07/25 11:11:09  glen
- BR asciidoc

Revision 1.1  2011/07/25 11:03:47  glen
- setuidgid with supplementary groups, from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=534508
